Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine
Class RuleParser

    java.lang.Object
      |
      +--com.bea.commerce.ebusiness.price.engine.RuleParser

All Implemented Interfaces:
  ContentHandler, ErrorHandler

public class RuleParser
extends Object
implements ContentHandler, ErrorHandler

This class is not intended to be used concurrently.

Field Summary
`static String` | `cName`

Constructor Summary
`RuleParser(QualificationDiscountDef def)`

Method Summary
`void` | `characters(char[] chars, int start, int length)`
`void` | `endDocument()`
`void` | `endElement(String namespaceURI, String localName, String qName)`
`void` | `endPrefixMapping(String prefix)`
`void` | `error(SAXParseException e)`
`void` | `fatalError(SAXParseException e)`
`DiscountModifier` | `getModifier()`
`SelectionRule` | `getSelectionRule()`
`void` | `ignorableWhitespace(char[] chars, int start, int length)`
`void` | `init()`
`void` | `processingInstruction(String target, String data)`
`boolean` | `run()`
`void` | `setDocumentLocator(Locator locator)`
`void` | `skippedEntity(String name)`
`void` | `startDocument()`
`void` | `startElement(String namespaceURI, String localName, String qName, Attributes attributes)`
`void` | `startPrefixMapping(String prefix, String uri)`
`void` | `warning(SAXParseException e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cName

    public static final String cName

See Also:
  Constant Field Values

Constructor Detail

### RuleParser

    public RuleParser(QualificationDiscountDef def)

Method Detail

### init

    public void init()

### run

    public boolean run()
                throws RuleParsingException

    `RuleParsingException`

### startElement

    public void startElement(String namespaceURI,
                             String localName,
                             String qName,
                             Attributes attributes)
                      throws SAXException

  Specified by:
    `startElement` in interface `ContentHandler`
    `SAXException`

### characters

    public void characters(char[] chars,
                           int start,
                           int length)
                    throws SAXException

  Specified by:
    `characters` in interface `ContentHandler`
    `SAXException`

### endElement

    public void endElement(String namespaceURI,
                           String localName,
                           String qName)
                    throws SAXException

  Specified by:
    `endElement` in interface `ContentHandler`
    `SAXException`

### ignorableWhitespace

    public void ignorableWhitespace(char[] chars,
                                    int start,
                                    int length)
                             throws SAXException

  Specified by:
    `ignorableWhitespace` in interface `ContentHandler`
    `SAXException`

### processingInstruction

    public void processingInstruction(String target,
                                      String data)
                               throws SAXException

  Specified by:
    `processingInstruction` in interface `ContentHandler`
    `SAXException`

### setDocumentLocator

    public void setDocumentLocator(Locator locator)

  Specified by:
    `setDocumentLocator` in interface `ContentHandler`

### skippedEntity

    public void skippedEntity(String name)
                       throws SAXException

  Specified by:
    `skippedEntity` in interface `ContentHandler`
    `SAXException`

### startDocument

    public void startDocument()
                       throws SAXException

  Specified by:
    `startDocument` in interface `ContentHandler`
    `SAXException`

### endDocument

    public void endDocument()
                     throws SAXException

  Specified by:
    `endDocument` in interface `ContentHandler`
    `SAXException`

### startPrefixMapping

    public void startPrefixMapping(String prefix,
                                   String uri)
                            throws SAXException

  Specified by:
    `startPrefixMapping` in interface `ContentHandler`
    `SAXException`

### endPrefixMapping

    public void endPrefixMapping(String prefix)
                          throws SAXException

  Specified by:
    `endPrefixMapping` in interface `ContentHandler`
    `SAXException`

### error

    public void error(SAXParseException e)
               throws SAXException

  Specified by:
    `error` in interface `ErrorHandler`
    `SAXException`

### fatalError

    public void fatalError(SAXParseException e)
                    throws SAXException

  Specified by:
    `fatalError` in interface `ErrorHandler`
    `SAXException`

### warning

    public void warning(SAXParseException e)
                 throws SAXException

  Specified by:
    `warning` in interface `ErrorHandler`
    `SAXException`

### getSelectionRule

    public SelectionRule getSelectionRule()

### getModifier

    public DiscountModifier getModifier()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved